Page MenuHomePhabricator

Shrink favicon file sizes
Closed, ResolvedPublic

Description

https://en.wiktionary.org/w/index.php?title=Wiktionary:Feedback&oldid=47680828#Special:Search:

Please use the same quality settings for the Wiktionary favicon as the Wikipedia one, so Firefox can use it for the icon in the search box when you install the opensearch plugin.
Firefox has a size limit of 10kB for the icons (see https://dxr.mozilla.org/mozilla-central/rev/2d7b8b5dd174bd9db5894c6cb770e05f83e95ee3/toolkit/components/search/nsSearchService.js#101 ) Currently, the Wikipedia favicon is 2.7 kB (2,734 bytes) while the Wiktionary one is 15.1 kB (15,086 bytes). Just opening them in GIMP and re-exporting them, it appears Wikipedia is using 8 bpp, 1-bit alpha, 256-slot palette, without compression, while Wiktionary is using 32 bpp, 8-bit alpha, no palette, without compression. Just exporting Wikitionary's with the same setting as Wikipedia's gets it to 7.4 kB (7,406 bytes), safely under the limit.
The only change is to the alpha fade in the corners, but it's not really noticeable without enlarging, and Wikipedia's doesn't have it (might need to manually adjust them though).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2017, 10:32 PM
Suzukaze-c updated the task description. (Show Details)Oct 8 2017, 10:33 PM
Reedy added a comment.Oct 8 2017, 11:10 PM

I would also suggest we look at, and fix most of them... Only wikipedia and wikiversities look to be small...

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/static/favicon$ du -h *
16K	arbcom_dewiki.ico
16K	black-globe.ico
16K	commons.ico
16K	community.ico
16K	incubator.ico
16K	internal.ico
16K	labs.ico
16K	mediawiki.ico
16K	office.ico
16K	piece.ico
16K	spcom.ico
16K	testwikidata.ico
16K	toollabs.ico
16K	usability.ico
16K	wikibooks.ico
16K	wikidata.ico
16K	wikimania.ico
16K	wikinews.ico
4.0K	wikipedia.ico
16K	wikiquote.ico
16K	wikisource.ico
16K	wikispecies.ico
16K	wikitech.ico
4.0K	wikiversity.ico
16K	wikivoyage.ico
52K	wiktionary
16K	wmf.ico
Reedy renamed this task from The filesize of the favicon for en.wiktionary's OpenSearch plugin is too large for Firefox to Shrink favicon file sizes.Oct 8 2017, 11:14 PM
tomasz claimed this task.Jan 3 2018, 11:44 PM
tomasz triaged this task as Low priority.

Most of these were created in 2012 (I think?), I'm happy to look into the issue over the next few days, ie. until 9 January.

Change 402618 had a related patch set uploaded (by Odder; owner: Odder):
[operations/mediawiki-config@master] Shrink favicon file sizes

https://gerrit.wikimedia.org/r/402618

This is now scheduled for deployment on Tuesday 16 January between 00:00-01:00 UTC (16:00–17:00 PST on 15 January in San Francisco).

tomasz removed tomasz as the assignee of this task.Jan 16 2018, 1:02 AM
tomasz added a subscriber: tomasz.
tomasz removed a subscriber: tomasz.

Change 402618 merged by jenkins-bot:
[operations/mediawiki-config@master] Shrink favicon file sizes

https://gerrit.wikimedia.org/r/402618

tomasz closed this task as Resolved.Feb 23 2018, 5:01 AM
tomasz claimed this task.